MediaWiki:Gadget-Tooltip.css: Difference between revisions

From Honkai: Nexus Anima Wiki
Jump to navigation Jump to search
Kuhlau (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
i honestly see no reason for TT and EE to be visually distinguished so much, let's just make them both look good and they can diverge later where needed
 
(10 intermediate revisions by the same user not shown)
Line 2: Line 2:
/* Force disable default hover tooltip on mobile and enable the toggle */
/* Force disable default hover tooltip on mobile and enable the toggle */
.skin-minerva .hover-tooltip { display: none; }
.skin-minerva .hover-tooltip { display: none; }
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle { display: inline !important; }
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle { display: none !important; }
 
/* Colors */
:root .wgl-darkmode, :root .wgl-theme-dark {
--tooltip-bg: #0c0c0cd6;
}
 
:root .wgl-lightmode, :root .wgl-theme-light {
--tooltip-bg: #ecececd6;
}


/** Text styling **/
/** Text styling **/
Line 17: Line 26:
font-weight: inherit;
font-weight: inherit;
}
}
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-content {
.custom-tt-wrapper.hnaw-collapsible {
font-weight: normal;
font-weight: normal;
}
}
Line 24: Line 33:
/*** The tooltip's toggle version ***/
/*** The tooltip's toggle version ***/
.toggle-tooltip.hnaw-collapsible, .text-tooltip {
.toggle-tooltip.hnaw-collapsible, .text-tooltip {
display: inline-block;
     position: relative;
     position: relative;
border-bottom-color: rgb(128, 128, 128);
border-bottom-color: rgb(128, 128, 128);
Line 37: Line 47:
     width: fit-content;
     width: fit-content;
     height: fit-content;
     height: fit-content;
     background: var(--theme-page-background-color);
     background: var(--tooltip-bg);
     color: var(--theme-page-text-color);
     color: var(--theme-page-text-color);
     border-radius: 5px 0 5px 5px;
     border-radius: 5px 0 5px 5px;
     border: 1px solid var(--theme-link-color);
     border: 1px solid var(--theme-accent-color);
     min-width: 75px;
     min-width: 75px;
     min-height: 25px;
     min-height: 25px;
Line 58: Line 68:
     width: 0;
     width: 0;
     border-top: 0 solid transparent;
     border-top: 0 solid transparent;
     border-bottom: 10px solid var(--theme-link-color);
     border-bottom: 10px solid var(--theme-accent-color);
     border-left: 10px solid transparent;
     border-left: 10px solid transparent;
     border-right: 0 solid transparent;
     border-right: 0 solid transparent;
Line 65: Line 75:
}
}


/** Mobile: enabled by default (attr:title does not work) **/
/* Bottom of Page Container (Mobile) */
/* Container */
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden) {
.skin-minerva .custom-tt-wrapper .mw-collapsible-toggle-expanded + .mw-collapsible-content.custom-tt {
position: fixed;
position: fixed;
z-index: 10005;
z-index: 10005;
width: 100%;
width: calc(100% - 1em + 2px);
height: 125px;
height: 125px;
background: var(--theme-page-background-color);
    background: var(--tooltip-bg);
color: var(--theme-page-text-color);
color: var(--theme-page-text-color);
border-radius: 0 0 5px 5px;
border-radius: 20px 20px 5px 5px;
border: 1px solid var(--theme-link-color);
border: 1px solid var(--theme-accent-color);
box-shadow: 1px 5px 5px 1px black;
min-width: 150px;
min-width: 150px;
min-height: 25px;
min-height: 25px;
padding: 6px;
padding: 6px 0 6px 12px;
text-align: center;
bottom: 0;
bottom: 0;
left: 0;
left: 0;
margin: 0;
margin: 0;
overflow-y: scroll;
overflow-y: auto;
}
}
/* Container header */
/* Container header */
.skin-minerva .custom-tt-wrapper .mw-collapsible-toggle-expanded + .mw-collapsible-content.custom-tt:before {
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):before {
content: "ⓘ Tooltip content:";
content: "ⓘ Tooltip content:";
display: block;
display: block;
Line 92: Line 102:
margin: 2px 0;
margin: 2px 0;
width: 100%;
width: 100%;
border-bottom: 1px solid var(--theme-link-color);
border-bottom: 1px solid var(--theme-accent-color);
}
}
/* Tooltip surrogate toggle on container header */
/* Tooltip surrogate toggle on container header */
.skin-minerva .custom-tt-wrapper .mw-collapsible-toggle-expanded:after {
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):after {
content: "x" !important;
content: "×" !important;
position: fixed;
position: fixed;
z-index: 10006;
z-index: 10006;
Line 104: Line 115:
}
}
/* Tooltip surrogate toggle on backdrop overlay */
/* Tooltip surrogate toggle on backdrop overlay */
.skin-minerva .custom-tt-wrapper .mw-collapsible-toggle-expanded:before {
/* not sure what this does so hiding it for now
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):before {
background: black;
background: black;
position: fixed;
position: fixed;
Line 114: Line 126:
z-index: 10004;
z-index: 10004;
}
}
*/


/* Undo default ooui */
.custom-tt-wrapper .oo-ui-popupWidget-popup {
border: none;
background-color: inherit;
border-radius: inherit;
}


/* For [[Template:Extra Effect]] */
:root .wgl-darkmode, :root .wgl-theme-dark {
--extra-effect-bg: #0c0c0cd6;
}


:root .wgl-lightmode, :root .wgl-theme-light {
--extra-effect-bg: #ecececd6;
}


@keyframes extra-effect-appear {
@keyframes extra-effect-appear {
Line 135: Line 147:
}
}
}
}
 
e
.hnaw-extra-effect-wrapper.hnaw-collapsible.mw-collapsible {
padding: 0;
border-bottom-style: solid;
border-bottom-width: 1px;
}
 
.mw-collapsible-content.hnaw-extra-effect {
font-size: 16px;
position: absolute;
z-index: 999999;
width: fit-content;
height: fit-content;
background: var(--extra-effect-bg, #0c0c0cd6);
backdrop-filter: blur(3px);
border: 1px solid var(--theme-border-color);
margin-top: 25px;
border-radius: 5px;
color: var(--theme-page-text-color);
min-width: 35px;
max-width: 75vw;
padding: 3px 6px;
animation: extra-effect-appear 0.25s;
}
 
.hnaw-extra-effect .hnaw-extra-effect-header {
display: block;
font-weight: bold;
border-bottom: 1px solid var(--theme-border-color);
margin-bottom: 2px;
}
 
.skin-minerva .hnaw-extra-effect-wrapper .mw-collapsible-toggle-expanded + .mw-collapsible-content.hnaw-extra-effect {
position: fixed;
z-index: 10005;
width: 100%;
height: 125px;
background: var(--extra-effect-bg, #0c0c0cd6);
color: var(--theme-page-text-color);
border-radius: 0 0 5px 5px;
border: 1px solid var(--theme-border-color);
min-width: 150px;
min-height: 25px;
bottom: 0;
left: 0;
margin: 0;
overflow-y: scroll;
max-width: 100vw;
}

Latest revision as of 16:57, 15 July 2026

/*** For [[Template:Tt]] ***/
/* Force disable default hover tooltip on mobile and enable the toggle */
.skin-minerva .hover-tooltip { display: none; }
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle { display: none !important; }

/* Colors */
:root .wgl-darkmode, :root .wgl-theme-dark {
	--tooltip-bg: #0c0c0cd6;
}

:root .wgl-lightmode, :root .wgl-theme-light {
	--tooltip-bg: #ecececd6;
}

/** Text styling **/
/* Override collapsible stylings */
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle {
	padding: 0;
	border: none;
	position: relative;
	/* Allow text selection */
	-moz-user-select: inherit;
	-webkit-user-select: inherit;
	-ms-user-select: inherit;
	user-select: inherit;
	font-weight: inherit;
}
.custom-tt-wrapper.hnaw-collapsible {
	font-weight: normal;
}
.text-tooltip { cursor: help; }

/*** The tooltip's toggle version ***/
.toggle-tooltip.hnaw-collapsible, .text-tooltip {
	display: inline-block;
    position: relative;
	border-bottom-color: rgb(128, 128, 128);
	border-bottom-width: 2px;
	border-bottom-style: dotted;
}

/** Desktop: enabled through gadget **/
/* Container */
.skin-vector-legacy .mw-collapsible-content.custom-tt {
    position: absolute;
    z-index: 10005;
    width: fit-content;
    height: fit-content;
    background: var(--tooltip-bg);
    color: var(--theme-page-text-color);
    border-radius: 5px 0 5px 5px;
    border: 1px solid var(--theme-accent-color);
    min-width: 75px;
    min-height: 25px;
    padding: 6px;
    margin-top: 35px;
    text-align: center;
    top: 0;
    right: 10%;
    text-wrap: wrap;
}
/* Arrow */
.skin-vector-legacy .mw-collapsible-content.custom-tt:before {
    content: "";
    position: absolute;
    bottom: 100%;
    top: -20px;
    width: 0;
    border-top: 0 solid transparent;
    border-bottom: 10px solid var(--theme-accent-color);
    border-left: 10px solid transparent;
    border-right: 0 solid transparent;
    right: -1px;
    z-index: 10005;
}

/* Bottom of Page Container (Mobile) */
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden) {
	position: fixed;
	z-index: 10005;
	width: calc(100% - 1em + 2px);
	height: 125px;
    background: var(--tooltip-bg);
	color: var(--theme-page-text-color);
	border-radius: 20px 20px 5px 5px;
	border: 1px solid var(--theme-accent-color);
	box-shadow: 1px 5px 5px 1px black;
	min-width: 150px;
	min-height: 25px;
	padding: 6px 0 6px 12px;
	bottom: 0;
	left: 0;
	margin: 0;
	overflow-y: auto;
}

/* Container header */
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):before {
	content: "ⓘ Tooltip content:";
	display: block;
	text-align: left;
	margin: 2px 0;
	width: 100%;
	border-bottom: 1px solid var(--theme-accent-color);
}

/* Tooltip surrogate toggle on container header */
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):after {
	content: "×" !important;
	position: fixed;
	z-index: 10006;
	bottom: 90px;
	right: 15px;
	font-size: 30px;
}
/* Tooltip surrogate toggle on backdrop overlay */
/* not sure what this does so hiding it for now
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):before {
	background: black;
	position: fixed;
	height: calc(100% - 125px);
	width: 100%;
	top: 0;
	left: 0;
	opacity: 0.6;
	z-index: 10004;
}
*/

/* Undo default ooui */
.custom-tt-wrapper .oo-ui-popupWidget-popup {
	border: none;
	background-color: inherit;
	border-radius: inherit;
}



@keyframes extra-effect-appear {
	from {
		transform: translate(0px, 15px);
		opacity: 0;
	}
	to {
		transform: translate(0, 0);
		opacity: 1;
	}
}
e